/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.interfaces;


import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import java.io.Serializable;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public interface IArduino extends VertxPojo, Serializable {

    /**
     * Setter for <code>public.arduino.ardid</code>.
     */
    public IArduino setArdid(Integer value);

    /**
     * Getter for <code>public.arduino.ardid</code>.
     */
    public Integer getArdid();

    /**
     * Setter for <code>public.arduino.ardlocal</code>.
     */
    public IArduino setArdlocal(String value);

    /**
     * Getter for <code>public.arduino.ardlocal</code>.
     */
    public String getArdlocal();

    /**
     * Setter for <code>public.arduino.ardstatus</code>.
     */
    public IArduino setArdstatus(String value);

    /**
     * Getter for <code>public.arduino.ardstatus</code>.
     */
    public String getArdstatus();

    /**
     * Setter for <code>public.arduino.ardvirtual</code>.
     */
    public IArduino setArdvirtual(String value);

    /**
     * Getter for <code>public.arduino.ardvirtual</code>.
     */
    public String getArdvirtual();

    /**
     * Setter for <code>public.arduino.ardativo</code>.
     */
    public IArduino setArdativo(String value);

    /**
     * Getter for <code>public.arduino.ardativo</code>.
     */
    public String getArdativo();

    /**
     * Setter for <code>public.arduino.fktanid</code>.
     */
    public IArduino setFktanid(Integer value);

    /**
     * Getter for <code>public.arduino.fktanid</code>.
     */
    public Integer getFktanid();

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * Load data from another generated Record/POJO implementing the common interface IArduino
     */
    public void from(com.tabajara.base.tables.interfaces.IArduino from);

    /**
     * Copy data into another generated Record/POJO implementing the common interface IArduino
     */
    public <E extends com.tabajara.base.tables.interfaces.IArduino> E into(E into);

    @Override
    public default IArduino fromJson(io.vertx.core.json.JsonObject json) {
        setArdid(json.getInteger("ardid"));
        setArdlocal(json.getString("ardlocal"));
        setArdstatus(json.getString("ardstatus"));
        setArdvirtual(json.getString("ardvirtual"));
        setArdativo(json.getString("ardativo"));
        setFktanid(json.getInteger("fktanid"));
        return this;
    }


    @Override
    public default io.vertx.core.json.JsonObject toJson() {
        io.vertx.core.json.JsonObject json = new io.vertx.core.json.JsonObject();
        json.put("ardid",getArdid());
        json.put("ardlocal",getArdlocal());
        json.put("ardstatus",getArdstatus());
        json.put("ardvirtual",getArdvirtual());
        json.put("ardativo",getArdativo());
        json.put("fktanid",getFktanid());
        return json;
    }

}
